%define		enable_xprint	0
Name:		xedit
Version:	1.0.2
Release:	%mkrel 7
Summary:	Simple text editor for X
Group:		Development/X11
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch0:		xedit-xprint.patch
Patch1:		xedit-ResolveName.patch
Patch2:		xedit-ispell.patch
Patch3:		0003-SprintfFormat.patch
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires:	libxt-devel >= 1.0.0
BuildRequires:	libxaw-devel >= 1.0.1
BuildRequires:	libxprintutil-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

Requires:	x11-data-bitmaps
Requires:	aspell
# courier (most modes)
Requires:	x11-font-adobe-75dpi
# lucidatypewriter (most modes)
Requires:	x11-font-bh-lucidatypewriter-75dpi
# helvetica (sgml/html edit modes)
Requires:	x11-font-adobe-100dpi
# lucida (hmtl mode)
Requires:	x11-font-bh-75dpi
# lucida (hmtl mode)
Requires:	x11-font-bh-100dpi

%description
Xedit provides a simple text editor for X.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .xprint
%patch1 -p1 -b .ResolveName
%patch2 -p1 -b .ispell
%patch3 -p1 -b .SprintfFormat

%build
%configure2_5x\
%if %{enable_xprint}
		--enable-xprint\
%else
		--disable-xprint\
%endif
		--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xedit
%{_libdir}/X11/xedit
%{_datadir}/X11/app-defaults/Xedit
%{_datadir}/X11/app-defaults/Xedit-color
%{_mandir}/man1/xedit.1x*



%changelog
* Thu Sep 20 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-7mdv2008.0
+ Revision: 91580
- Update correct patch.
- Add patch file to spec, not just command to use it...
- Revert the original 'hackish' XeditPrintf that just prints an string.
  At least for the moment, otherwise, code could send printf formats in a string
  that wasn't expected to be used by vsnprintf.
  Problem observed when loading a file with the %% character in it's name.

* Tue Sep 11 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-6mdv2008.0
+ Revision: 84432
- Fix fonts required by xedit for different edit modes, to install the minimum
  ammount of required packages.

* Wed Sep 05 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-5mdv2008.0
+ Revision: 80345
- Compile without xprint support by default and fix a few problems.

* Fri Aug 31 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.2-4mdv2008.0
+ Revision: 76439
- rebuild for 2008
- simplify file list
- slight spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not hardcode lzma extension!!!


* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 21:23:32 (59548)
- rebuild to fix libXaw.so.8 dependency

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:24:58 (31400)
- fill in a couple of missing descriptions

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

